REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single FloorPlanLayout record by its Id.
{ "BusinessId": 123, "BusinessName": "<string>", "BusinessCurrencyCode": "<string>", "Name": "<string>", "BackgroundImageFileName": "<string>", "NewBackgroundImageUrl": "<string>", "ClearBackgroundImageFile": true, "Size": 123, "TracingImageFileName": "<string>", "NewTracingImageUrl": "<string>", "ClearTracingImageFile": true, "PreviewImageFileName": "<string>", "NewPreviewImageUrl": "<string>", "ClearPreviewImageFile": true, "BackgroundImageScale": 123, "TracingImageScale": 123, "FloorLevel": 123, "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
FloorPlanLayout-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/floorplanlayouts/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "BusinessId": 0, "BusinessName": null, "BusinessCurrencyCode": null, "Name": "", "BackgroundImageFileName": null, "NewBackgroundImageUrl": null, "ClearBackgroundImageFile": null, "Size": 0, "TracingImageFileName": null, "NewTracingImageUrl": null, "ClearTracingImageFile": null, "PreviewImageFileName": null, "NewPreviewImageUrl": null, "ClearPreviewImageFile": null, "BackgroundImageScale": 0, "TracingImageScale": 0, "FloorLevel": 0, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "FloorPlanLayout Example", "LocalizationDetails": null, "CustomFields": null }